# coding: utf-8

"""
    Red Rover API

    Access Red Rover data via this REST API for Organizations that have granted you access.  # Authentication The API is protected by HTTP Basic Authentication.   Each application that connects to the API has a unique username and password that it must supply with every request.  This value needs to be supplied as an HTTP Header: `Authorization=BASIC [hash]`. The value of [hash] is the string username:password base64 encoded.  Endpoints marked for Basic Auth can be used with the Basic Auth username and password that you have been assigned.  # API Information ## Api Key Each Red Rover organization that has authorized your application has a unique API Key for your application.  To retrieve the API Key, you can use the Organization endpoint (`api/v1/organization`) which returns an ApiKey uniquely used for each Organization.  You must supply this as an HTTP Header when accessing that organization: `apiKey=[apiKey]`. The domains that require this `ApiKey` header are labeled as 'Requires an ApiKey'.  ## Identifier Where an `Identifier` can be specified in the route, you may either supply the Red Rover Id of the object (numeric) or the External Id (alpha-numeric). When specifying an External Id, you will need to prepend the External Id with the pike character`|` (e.g. `|ABC123`). Please note that this is only the case when the External Id is within the route. If the External Id is contained within the body of the request, do not append the pike character.

    The version of the OpenAPI document: v1
    Contact: dev@redroverk12.com
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from redrover_api.api.user_api import UserApi


class TestUserApi(unittest.TestCase):
    """UserApi unit test stubs"""

    def setUp(self) -> None:
        self.api = UserApi()

    def tearDown(self) -> None:
        pass

    def test_create_admin(self) -> None:
        """Test case for create_admin

        Creates Administrator
        """
        pass

    def test_create_employee(self) -> None:
        """Test case for create_employee

        Creates Employee
        """
        pass

    def test_create_substitute(self) -> None:
        """Test case for create_substitute

        Creates Substitute
        """
        pass

    def test_delete_user(self) -> None:
        """Test case for delete_user

        Deletes User
        """
        pass

    def test_delete_user_role(self) -> None:
        """Test case for delete_user_role

        Deletes User's Role
        """
        pass

    def test_get_admin(self) -> None:
        """Test case for get_admin

        Gets Administrator
        """
        pass

    def test_get_employee(self) -> None:
        """Test case for get_employee

        Gets Employee
        """
        pass

    def test_get_substitute(self) -> None:
        """Test case for get_substitute

        Get Substitute by Id
        """
        pass

    def test_get_substitutes(self) -> None:
        """Test case for get_substitutes

        Query for Substitutes
        """
        pass

    def test_update_admin(self) -> None:
        """Test case for update_admin

        Updates Administrator
        """
        pass

    def test_update_employee(self) -> None:
        """Test case for update_employee

        Updates Employee
        """
        pass

    def test_update_substitute(self) -> None:
        """Test case for update_substitute

        Updates Substitute
        """
        pass


if __name__ == '__main__':
    unittest.main()
